> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cura.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a company's latest metrics

> Returns the latest reported value of each of the company's metrics (standard + custom).



## OpenAPI

````yaml /openapi.json get /portfolio/{id}/metrics
openapi: 3.1.0
info:
  title: Cura API
  version: 1.0.0
  description: >-
    Public, read-only access to a workspace's portfolio. Authenticate every
    request with your `cura_…` API key as a bearer token.
servers:
  - url: https://api.cura.inc
    description: Production
security:
  - ApiKey: []
paths:
  /portfolio/{id}/metrics:
    get:
      tags:
        - Portfolio
        - Metrics
      summary: Get a company's latest metrics
      description: >-
        Returns the latest reported value of each of the company's metrics
        (standard + custom).
      operationId: getPortfolioCompanyMetrics
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            description: Portfolio company id.
          required: true
          description: Portfolio company id.
      responses:
        '200':
          description: The company's latest metric values.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Metric'
                required:
                  - data
                additionalProperties: false
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Company not found in this workspace's portfolio.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Metric:
      type: object
      properties:
        id:
          type: string
          description: The metric definition's unique id.
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Human-readable metric name.
              example: Annualized Revenue
            unit:
              type: string
              enum:
                - number
                - usd
                - usd_per_month
                - usd_per_year
                - people
                - customers
                - days
                - weeks
                - months
                - years
              description: Unit the value is reported in.
            value_text:
              type: string
              description: The value as originally reported, formatted.
              example: $2M
            value_numeric:
              anyOf:
                - type: number
                - type: 'null'
              description: The value parsed to a number, when possible.
            period_label:
              anyOf:
                - type: string
                - type: 'null'
              description: Human-readable label for the reporting period.
            period_start:
              type: string
              description: Start of the reporting period (ISO 8601 date).
            period_end:
              type: string
              description: End of the reporting period (ISO 8601 date).
            reported_at:
              type: string
              description: When the value was reported (ISO 8601 timestamp).
          required:
            - name
            - unit
            - value_text
            - value_numeric
            - period_label
            - period_start
            - period_end
            - reported_at
          additionalProperties: false
      required:
        - id
        - attributes
      additionalProperties: false
      description: The latest reported value of a company metric.
    Error:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
      required:
        - error
      additionalProperties: false
      description: An error response.
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Your workspace API key (`cura_…`), sent as `Authorization: Bearer
        <key>`.

````